package dev.fyloz.plannervio.ui

import dev.fyloz.plannervio.ui.i18n.I18nKeywordKey
import java.util.*

interface InternationalizedView {
    val messages: ResourceBundle

    fun localizedMessage(key: Any): String {
        return messages.getString(key.toString())
    }

    fun localizedKeyword(key: I18nKeywordKey): String {
        return localizedMessage(key.toString())
    }
}
